LL2_READ_ENTRY(3)

NAME
ll2_read_entry - Reads one entry from database and returns that.

SYNOPSIS

#include <lastlog2.h>

int ll2_read_entry (struct ll2_context *context, const char *user, int64_t *ll_time, char tty, char rhost, char pam_service, char error);

DESCRIPTION

Reads the first entry from database, defined in context, for user user. If context is NULL, the default database, defined in LL2_DEFAULT_DATABASE, will be taken.

    char    *error = NULL;
    const   char *user = "root";
    int64_t res_time;
    char    *res_tty = NULL;
    char    *res_rhost = NULL;
    char    *res_service = NULL;
    int ret = ll2_read_entry (NULL, user, &res_time, &res_tty, &res_rhost, &res_service, &error);

RETURN VALUE

Returns 0 on success, -ENOMEM or -1 on other failure. error contains an error string if the return value is -1. error is not guaranteed to contain an error string, could also be NULL. error should be freed by the caller. If lastlog2 database does not exist at all, the errno ENOENT has been set and can be checked.

The evaluated values are returned by ll_time, tty, rhost and pam_service.

AUTHORS

Thorsten Kukuk (

SEE ALSO

lastlog2(3), ll2_new_context(3), *ll2_unref_context(3), *ll2_read_all(3), ll2_write_entry(3), ll2_update_login_time(3), ll2_remove_entry(3), ll2_rename_user(3), ll2_import_lastlog(3)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from